.TH sam9407 8 "15 Nov 1998" Linux "Linux Programmer's Manual"
.SH NAME
sam9407 \- Initialize SAM9407 
.SH SYNOPSIS
\fBsam9407\fR [\fB-s\fR] [\fB-v\fR] [\fB-n \fIcardNr\fR] [\fB-i\fR]
[\fB-d \fImixer_device\fR] [\fB-f \fIfirmware\fR] [\fB-b \fIid\fB:\fIsoundbank\fR ]
.SH DESCRIPTION
\fBsam9407\fR is used to initialize a SAM9407 based
soundcard, upload firmware and soundbanks.

Default values not specified at command line will be taken out of
\fB/etc/sam9407.conf\fR. Command line parameters have higher priority.

.SH OPTIONS
.TP
.B "-s"
Report errors to syslog.
.TP
.B "-v"
Turn on verbose mode.
.TP
.B "-n \fIcardNr\fB"
The following options apply to the card specified by \fIcardNr\fR.
.TP
.B "-i"
Forced initialization. This will force uploading the firmware,
even if it's been done already.
.TP
.B "-d \fImixer_device\fB"
Use \fImixer_device\fR to determine the major number, which should
be used by the kernel module. This is useful if you do have
a \fB/dev/sam\fR[0-9]\fB_mixer\fR character special file, but still want
SAM9407 to run in OSS compatibility mode by specifying
\fB/dev/mixer\fR as device name.

If no \fImixer_device\fR is specified, \fBsam9407\fR will search for
\fB/dev/sam9407/card\fR[0-9]\fB/mixer\fR first, followed by
\fB/dev/sam\fR[0-9]\fB_mixer\fR and then \fB/dev/mixer\fR,
for the first detected sam9407 based card.
.TP
.B "-f \fIfirmware\fB"
The pathname of the firmware to upload. The vendor type of this
firmware will be autodetected.
.TP
.B "-b \fIid\fB:\fIsoundbank\fB"
Upload soundbank file \fIsoundbank\fR at position given by \fIid\fR.
If \fIsoundbank\fR parameter is empty, the soundbank at that position
will be unloaded.

.SH "SEE ALSO"
x9407(1), sam9407.conf(5), sam9407(4)

.SH AUTHOR
Gerd Rausch <gerd@meshed.net>
